Package org.eclipse.emf.compare.adapterfactory.context

# Interface IContextTester

All Known Implementing Classes:
  `AbstractContextTester`

public interface IContextTester
A tester to evaluate whether a given context matches certain criteria.

Since:
  4.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CTX_COMPARISON`
Key used to store the comparison object in the context.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`apply(Map<Object,Object> context)`
Returns the result of applying this tester to the given `context`.

## Field Details

### CTX_COMPARISON

static final String CTX_COMPARISON
Key used to store the comparison object in the context.

See Also:
  - Constant Field Values

## Method Details

### apply

boolean apply(Map<Object,Object> context)
Returns the result of applying this tester to the given `context`.

Parameters:
  `context` - a map of context elements stored under specific keys.
Returns:
  `true` if the given `comparison` is of a certain context, `false` otherwise.